<?PHP
#
#   FILE:  ReportError.php (GoogleMaps plugin)
#
#   Part of the Metavus digital collections platform
#   Copyright 2018-2020 Edward Almasy and Internet Scout Research Group
#   http://metavus.net
#

# ----- MAIN -----------------------------------------------------------------

# this page allows client-side javascript to report errors back to the server

use ScoutLib\StdLib;

$AF->SuppressHTMLOutput();
$Msg = StdLib::getArrayValue($_POST, "msg");

if ($Msg !== null && strlen($Msg) > 0) {
    $GMaps = $GLOBALS["G_PluginManager"]->GetPluginForCurrentPage();
    $GMaps->logJavascriptError($Msg);
}
